org.apache.geode.modules.session

## Class CommandServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.geode.modules.session.CommandServlet

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class CommandServlet
      extends javax.servlet.http.HttpServlet

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` The standard servlet method overridden.
    `void` | `init(javax.servlet.ServletConfig config)` Save a reference to the ServletContext for later use.

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandServlet

          public CommandServlet()

  - ### Method Detail

    - #### doGet

          protected void doGet(javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response)
                        throws java.io.IOException,
                               javax.servlet.ServletException

      The standard servlet method overridden.
      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`
      Parameters:
        `request` -
        `response` -
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### init

          public void init(javax.servlet.ServletConfig config)

      Save a reference to the ServletContext for later use.
      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Overrides:
        `init` in class `javax.servlet.GenericServlet`
      Parameters:
        `config` -